#pragma once

#include "alerts_service_action.h"

#define ALERTS_CREATE_ACTION_NAME "ALERTS_CREATE_ACTION"

using namespace NDaemonController;

namespace NRTYDeploy {

    class TAlertsCreateAction : public TAlertsServiceAction {
    protected:

        TString GetProcessAlertsAction() const override {
            return "actualize_list";
        };

        static TFactory::TRegistrator<TAlertsCreateAction> Registrator;
    public:

        TAlertsCreateAction() {}

        TAlertsCreateAction(const TString& service, const TString& ctype)
            : TAlertsServiceAction(service, ctype)
        {};

        virtual TString ActionName() const override {
            return ALERTS_CREATE_ACTION_NAME;
        }

    };
}
